Create Test Case
curl --request POST \
--url https://api.revring.ai/v1/test-suites/{id}/tests \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"script": "<string>",
"scoringRubric": "<string>",
"attemptsPerRun": 1,
"variables": {}
}
'import requests
url = "https://api.revring.ai/v1/test-suites/{id}/tests"
payload = {
"name": "<string>",
"script": "<string>",
"scoringRubric": "<string>",
"attemptsPerRun": 1,
"variables": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
script: '<string>',
scoringRubric: '<string>',
attemptsPerRun: 1,
variables: {}
})
};
fetch('https://api.revring.ai/v1/test-suites/{id}/tests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"testSuiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"script": "<string>",
"scoringRubric": "<string>",
"attemptsPerRun": 5,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"variables": {}
}
}{
"error": "invalid_body",
"details": {}
}{
"error": "unauthorized"
}{
"error": "billing_inactive"
}{
"error": "not_found"
}Test Cases
Create Test Case
Add a test case to a test suite. Each test case includes a script for the tester to follow and a scoring rubric for evaluation.
POST
/
test-suites
/
{id}
/
tests
Create Test Case
Authorizations
API key for authentication. Generate API keys from the RevRing dashboard.
Path Parameters
Test suite ID
Body
application/json
Test case name
Maximum string length:
128Conversation script the tester follows
Maximum string length:
10000Criteria for evaluating the agent's responses
Maximum string length:
5000Number of attempts per test run
Required range:
1 <= x <= 10Test case specific variables (override suite defaults)
Response
Test case created
A test case within a test suite
Show child attributes
Show child attributes
⌘I